Bug 192199 - vnc abuses kernel headers (asm/memory.h)
vnc abuses kernel headers (asm/memory.h)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
rawhide
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-18 07:34 EDT by Radek Vokal
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.2.-0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-26 04:53:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of the unsuccessful build (1.48 MB, text/plain)
2006-05-18 07:34 EDT, Jitka Kozana
no flags Details

  None (edit)
Description Jitka Kozana 2006-05-18 07:34:31 EDT
The build of vnc ends with this error:

./compiler.h:1086:25: error: asm/memory.h: No such file or directory

I've attached the build log.
Comment 1 Jitka Kozana 2006-05-18 07:34:32 EDT
Created attachment 129410 [details]
log of the unsuccessful build
Comment 2 David Woodhouse 2006-05-18 07:46:43 EDT
Do not include asm/memory.h. It was a kernel-private header; not something for
userspace. It isn't excluded from the new builds deliberately -- it just doesn't
exist any more.

Note You need to log in before you can comment on or make changes to this bug.